/* This file is part of mailfromd.             -*- c -*-
   Copyright (C) 2007 Sergey Poznyakoff

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
   MA 02110-1301 USA */

MF_DEFUN(bindtextdomain, STRING, STRING domain, STRING dirname)
{
	char *s = bindtextdomain(domain[0] ? domain : NULL, dirname);
	MF_ASSERT(s != NULL,
		  mf_failure,
		  "bindtextdomain failed: %s", mu_strerror(errno));
	MF_RETURN_STRING(s);
}
END

MF_DEFUN(dgettext, STRING, STRING domain, STRING msgid)
{
	MF_RETURN_STRING(dgettext(domain, msgid));
}
END

MF_DEFUN(dngettext, STRING, STRING domain,
         STRING msgid, STRING msgid_plural, NUMBER n)
{
	MF_RETURN_STRING(dngettext(domain, msgid, msgid_plural, n));
}
END

MF_INIT


